This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 166059 - Review Request: perl-Class-Container
Review Request: perl-Class-Container
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://ftp.kspei.com/pub/steve/rpms/p...
:
Depends On:
Blocks: FE-ACCEPT 166063
  Show dependency treegraph
 
Reported: 2005-08-16 10:23 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-20 20:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed spec patch (624 bytes, patch)
2005-08-16 10:59 EDT, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Steven Pritchard 2005-08-16 10:23:34 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Class-Container/perl-Class-Container.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Class-Container-0.12-1.src.rpm
Description:
This class facilitates building frameworks of several classes that
inter-operate. It was first designed and built for "HTML::Mason", in
which the Compiler, Lexer, Interpreter, Resolver, Component, Buffer, and
several other objects must create each other transparently, passing the
appropriate parameters to the right class, possibly substituting other
subclasses for any of these objects.

The main features of "Class::Container" are:

*   Explicit declaration of containment relationships (aggregation,
    factory creation, etc.)

*   Declaration of constructor parameters accepted by each member in a
    class framework

*   Transparent passing of constructor parameters to the class that
    needs them

*   Ability to create one (automatic) or many (manual) contained objects
    automatically and transparently
Comment 1 Ralf Corsepius 2005-08-16 10:59:14 EDT
Created attachment 117790 [details]
Proposed spec patch
Comment 2 Ralf Corsepius 2005-08-16 11:00:57 EDT
Package looks fine, source match cpan, ...

Some minor nits:
- The LD_RUN_PATH "sed" isn't necessary.
- %check ||:
- Explicitly setting perl_vendorlib isn't necessary since FC3

I'd approve the package with the patch from the attachment applied.
Comment 3 Steven Pritchard 2005-08-17 18:46:30 EDT
Done, and checked into CVS.  Approved?
Comment 4 Ralf Corsepius 2005-08-17 21:33:53 EDT
Yep.

Note You need to log in before you can comment on or make changes to this bug.